Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management
Class JBossEjbModule

    java.lang.Object
      |
      +--org.jboss.management.JBossJ2EEManagedObject
            |
            +--org.jboss.management.JBossJ2EEModule
                  |
                  +--org.jboss.management.JBossEjbModule

All Implemented Interfaces:
  management.EjbModule, management.J2EEManagedObject, management.J2EEModule, java.io.Serializable

public synchronized class JBossEjbModule
extends JBossJ2EEModule
implements management.EjbModule

See Also:
  Serialized Form

Constructor Summary
`JBossEjbModule(java.lang.String, management.EJB[])`

Method Summary
`management.EJB` | `getEjb(int)`
`management.EJB[]` | `getEjbs()`
`void` | `setEjbs(management.EJB[])`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.management.JBossJ2EEModule
`getApplication, getDeploymentDescriptor, getServers, setApplication, setDeploymentDescriptor, setServers`

Methods inherited from class org.jboss.management.JBossJ2EEManagedObject
`getName, hasStatistics, isStateManageable, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface management.J2EEModule
`getApplication, getDeploymentDescriptor, getServers, setApplication, setDeploymentDescriptor, setServers`

Methods inherited from interface management.J2EEManagedObject
`getName, hasStatistics, isStateManageable, setName`

Constructor Detail

### JBossEjbModule

    public JBossEjbModule(java.lang.String,
                          management.EJB[])

Method Detail

### getEjb

    public management.EJB getEjb(int)

  Specified by:
    `getEjb` in interface `management.EjbModule`

### getEjbs

    public management.EJB[] getEjbs()

  Specified by:
    `getEjbs` in interface `management.EjbModule`

### setEjbs

    public void setEjbs(management.EJB[])
                 throws java.security.InvalidParameterException

  Specified by:
    `setEjbs` in interface `management.EjbModule`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.